export declare type GData = {
    conditions: {
        [T in ConditionName]: {
            name: string;
            explanation?: string;
            bad?: boolean;
            buff?: boolean;
            persistent?: boolean;
            interval?: number;
            duration?: number;
            ui?: boolean;
            skin?: string;
            technical?: boolean;
        } | {
            [T in Attribute]?: number;
        };
    } & {
        "eburn": {
            damage: number;
            intensity: string;
        };
    };
    maps: {
        [T in MapName]: {
            data?: {
                min_x: number;
                max_x: number;
                min_y: number;
                max_y: number;
            };
            npcs: {
                position?: [number, number, number?];
                positions?: [number, number, number?][];
                boundary?: [number, number, number, number];
                loop?: boolean;
                id: string;
            }[];
            doors: [number, number, number, number, MapName, number?, number?, "ulocked"?, "complicated"?][];
            key: string;
            name: string;
            instance?: boolean;
            irregular?: boolean;
            mount?: boolean;
            no_bounds?: boolean;
            ignore?: boolean;
            quirks?: [number, number, number, number, "compound" | "info" | "invisible_statue" | "list_pvp" | "log" | "note" | "sign" | "the_lever" | "upgrade" | string, string][];
            burn_multiplier?: number;
            freeze_multiplier?: number;
        };
    };
    titles: {
        [T in TitleName]: {
            title: string;
            type: "all_items" | string;
            achievement?: string;
            source?: string;
            misc?: boolean;
            improve?: boolean;
            manual?: boolean;
        } | {
            [T in Attribute]?: number;
        };
    } & {
        "sniper": {
            consecutive_200p_range_last_hits: number;
        };
    };
};
export declare type Attribute = "apiercing" | "armor" | "attack" | "attr0" | "attr1" | "avoidance" | "awesomeness" | "blast" | "bling" | "charisma" | "courage" | "crit" | "critdamage" | "cuteness" | "dex" | "dreturn" | "evasion" | "explosion" | "for" | "frequency" | "fzresistance" | "gold" | "heal" | "healm" | "hp" | "int" | "lifesteal" | "luck" | "manasteal" | "mcourage" | "mp" | "mp_cost" | "mp_reduction" | "output" | "pcourage" | "pnresistance" | "potionsm" | "random_stat" | "range" | "reflection" | "resistance" | "rpiercing" | "set_speed" | "speed" | "stat" | "str" | "stun" | "vit" | "xp";
export declare type ConditionName = "authfail" | "blink" | "burned" | "charging" | "charmed" | "cursed" | "dampened" | "darkblessing" | "easterluck" | "eburn" | "eheal" | "energized" | "fingered" | "frozen" | "fullguard" | "hardshell" | "holidayspirit" | "invincible" | "invis" | "licenced" | "marked" | "massproduction" | "mcourage" | "mlifesteal" | "mluck" | "monsterhunt" | "mshield" | "notverified" | "phasedout" | "poisoned" | "poisonous" | "power" | "reflection" | "rspeed" | "sanguine" | "shocked" | "slowness" | "stack" | "stoned" | "stunned" | "sugarrush" | "tangled" | "warcry" | "weakness" | "withdrawal" | "xpower" | "xshotted";
export declare type MapName = "abtesting" | "arena" | "bank" | "bank_b" | "bank_u" | "batcave" | "cave" | "cgallery" | "crypt" | "cyberland" | "d2" | "d_a1" | "d_a2" | "d_b1" | "d_e" | "d_g" | "desertland" | "duelland" | "dungeon0" | "goobrawl" | "halloween" | "hut" | "jail" | "level1" | "level2" | "level2e" | "level2n" | "level2s" | "level2w" | "level3" | "level4" | "main" | "mansion" | "mtunnel" | "old_bank" | "old_main" | "original_main" | "resort" | "resort_e" | "shellsisland" | "ship0" | "spookytown" | "tavern" | "test" | "tomb" | "tunnel" | "winter_cave" | "winter_inn" | "winter_inn_rooms" | "winterland" | "woffice";
export declare type TitleName = "critmonger" | "fast" | "festive" | "firehazard" | "glitched" | "gooped" | "legacy" | "lucky" | "shiny" | "sniper" | "stomped" | "superfast";
